package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 霍兰德测评规则对象 b_busi_holland_rules
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@ApiModel("霍兰德测评规则")
public class BBusiHollandRules extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 代码 */
    @Excel(name = "代码")
    @ApiModelProperty("代码")
    private String code;

    /** 典型职业 */
    @Excel(name = "典型职业")
    @ApiModelProperty("典型职业")
    private String jobs;

    /** 典型专业 */
    @Excel(name = "典型专业")
    @ApiModelProperty("典型专业")
    private String marjors;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setJobs(String jobs) {
        this.jobs = jobs;
    }

    public String getJobs() {
        return jobs;
    }

    public void setMarjors(String marjors) {
        this.marjors = marjors;
    }

    public String getMarjors() {
        return marjors;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("code", getCode())
            .append("jobs", getJobs()).append("marjors", getMarjors()).append("status", getStatus()).toString();
    }
}
